SocialNetworkingUser (Social Portal ASL Extension 1.1.0-4.1.0-132891 API)
Date: 2016-10-27

org.gcube.applicationsupportlayer.social.shared

## Class SocialNetworkingUser

- java.lang.Object
- - org.gcube.applicationsupportlayer.social.shared.SocialNetworkingUser

- All Implemented Interfaces:
    Serializable

      public class SocialNetworkingUser
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SocialNetworkingUser()`
    `SocialNetworkingUser(String username, String email, String fullname, String userAvatarId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getEmail()`
    `String` | `getFullname()`
    `String` | `getUserAvatarId()`
    `String` | `getUsername()`
    `void` | `setEmail(String email)`
    `void` | `setFullname(String fullname)`
    `void` | `setUserAvatarId(String userAvatarId)`
    `void` | `setUsername(String username)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SocialNetworkingUser

          public SocialNetworkingUser()

    - #### SocialNetworkingUser

          public SocialNetworkingUser(String username,
                                      String email,
                                      String fullname,
                                      String userAvatarId)

  - ### Method Detail

    - #### getUsername

          public String getUsername()

    - #### setUsername

          public void setUsername(String username)

    - #### getEmail

          public String getEmail()

    - #### setEmail

          public void setEmail(String email)

    - #### getFullname

          public String getFullname()

    - #### setFullname

          public void setFullname(String fullname)

    - #### getUserAvatarId

          public String getUserAvatarId()

    - #### setUserAvatarId

          public void setUserAvatarId(String userAvatarId)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2016. All Rights Reserved.